Remove deprecation of pci_bar_size()
[people/xl0/gpxe.git] / src / include / gpxe / pci.h
index 70f0423..b5c417c 100644 (file)
@@ -331,8 +331,7 @@ extern void adjust_pci_device ( struct pci_device *pci );
 extern unsigned long pci_bar_start ( struct pci_device *pci,
                                     unsigned int reg );
 extern int pci_find_capability ( struct pci_device *pci, int capability );
-extern __attribute__ (( deprecated )) unsigned long
-pci_bar_size ( struct pci_device *pci, unsigned int reg );
+extern unsigned long pci_bar_size ( struct pci_device *pci, unsigned int reg );
 
 /**
  * Set PCI driver-private data